import React from 'react';
import styled from 'styled-components'

const Style = styled.div`
    min-width: 14px;
    margin-right: 10px;
    font-size: 14px;
    display: inline-block;`


Slack.propTypes = {};

export function Slack() {
    return (
        <Style>
            <svg width="15" height="15" viewBox="0 0 15 15" fill="none" xmlns="http://www.w3.org/2000/svg">
                <g clipPath="url(#clip0)">
                    <path
                        d="M5.52692 7.90674C4.65692 7.90674 3.95129 8.61236 3.95129 9.48236V13.4236C3.95129 14.2936 4.65692 14.9992 5.52692 14.9992C6.39692 14.9992 7.10254 14.2936 7.10254 13.4236V9.48236C7.10192 8.61236 6.39629 7.90674 5.52692 7.90674Z"
                        fill="#AAAAAB"/>
                    <path
                        d="M0.0118408 9.48264C0.0118408 10.3533 0.718091 11.0595 1.58872 11.0595C2.45934 11.0595 3.16559 10.3533 3.16559 9.48264V7.90576H1.58997C1.58934 7.90576 1.58934 7.90576 1.58872 7.90576C0.718091 7.90576 0.0118408 8.61201 0.0118408 9.48264Z"
                        fill="#AAAAAB"/>
                    <path
                        d="M5.5287 -0.000976562C5.52808 -0.000976562 5.52745 -0.000976562 5.52683 -0.000976562C4.6562 -0.000976562 3.94995 0.705274 3.94995 1.5759C3.94995 2.44652 4.6562 3.15277 5.52683 3.15277H7.10245C7.10245 2.2584 7.10245 2.4759 7.10245 1.57277C7.10183 0.703398 6.39745 -0.000976562 5.5287 -0.000976562Z"
                        fill="#AAAAAB"/>
                    <path
                        d="M1.57834 7.10638H5.52709C6.39772 7.10638 7.10396 6.40014 7.10396 5.52951C7.10396 4.65889 6.39772 3.95264 5.52709 3.95264H1.57834C0.707715 3.95264 0.00146484 4.65889 0.00146484 5.52951C0.00146484 6.40014 0.707715 7.10638 1.57834 7.10638Z"
                        fill="#AAAAAB"/>
                    <path
                        d="M13.4107 3.95215C12.5413 3.95215 11.8369 4.65652 11.8369 5.5259V5.52902V7.1059H13.4125C14.2832 7.1059 14.9894 6.39965 14.9894 5.52902C14.9894 4.6584 14.2832 3.95215 13.4125 3.95215C13.4119 3.95215 13.4113 3.95215 13.4107 3.95215Z"
                        fill="#AAAAAB"/>
                    <path
                        d="M7.90063 1.5766V5.52973C7.90063 6.39973 8.60626 7.10535 9.47626 7.10535C10.3463 7.10535 11.0519 6.39973 11.0519 5.52973V1.5766C11.0519 0.706602 10.3463 0.000976562 9.47626 0.000976562C8.60626 0.000976562 7.90063 0.706602 7.90063 1.5766Z"
                        fill="#AAAAAB"/>
                    <path
                        d="M11.0513 13.4228C11.0513 12.5528 10.3456 11.8472 9.47565 11.8472H7.90002V13.424C7.90065 14.2934 8.60565 14.9984 9.47565 14.9984C10.3456 14.9984 11.0513 14.2928 11.0513 13.4228Z"
                        fill="#AAAAAB"/>
                    <path
                        d="M13.4244 7.90576H9.47568C8.60505 7.90576 7.8988 8.61201 7.8988 9.48264C7.8988 10.3533 8.60505 11.0595 9.47568 11.0595H13.4244C14.2951 11.0595 15.0013 10.3533 15.0013 9.48264C15.0013 8.61201 14.2951 7.90576 13.4244 7.90576Z"
                        fill="#AAAAAB"/>
                </g>
                <defs>
                    <clipPath id="clip0">
                        <rect width="15" height="15" fill="white"/>
                    </clipPath>
                </defs>
            </svg>


        </Style>
    );
}
